# Update merchant references Update merchant references. Read more on Updating merchant references Endpoint: PATCH /ordermanagement/v1/orders/{order_id}/merchant-references Version: 1.0.0 ## Path parameters: - `order_id` (string, required) Order id ## Header parameters: - `Klarna-Idempotency-Key` (string) This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters. ## Request fields (application/json): - `merchant_reference1` (string) New merchant reference 1. Old reference will be overwritten if this field is present. - `merchant_reference2` (string) New merchant reference 2. Old reference will be overwritten if this field is present. ## Response 403 fields (application/json): - `correlation_id` (string) Correlation id. For searching logs. Example: "66782175-ae05-44fc-9eb3-eeceadbad271" - `error_code` (string) Error code Example: "NOT_ALLOWED" - `error_messages` (array) Error messages ## Response 404 fields (*/*): - `correlation_id` (string) - `error_code` (string) Enum: "INTERNAL_ERROR", "NOT_FOUND", "TOO_MANY_REQUESTS", "REFUND_NOT_ALLOWED", "CAPTURE_NOT_ALLOWED", "CANCEL_NOT_ALLOWED", "UPDATE_NOT_ALLOWED", "NO_SUCH_ORDER", "BAD_REQUEST", "PAYLOAD_TOO_LARGE", "NO_SUCH_CAPTURE", "RESOURCE_NOT_FOUND", "INVALID_REQUEST_PARAMETERS", "NOT_ALLOWED", "UNSUPPORTED_MEDIA_TYPE", "FORBIDDEN" - `error_messages` (array) ## Response 204 fields